Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.gradle.api.tasks
[Java] Annotation Type SkipWhenEmpty

    java.lang.Object
      org.gradle.api.tasks.SkipWhenEmpty

    @Documented
    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.METHOD, ElementType.FIELD})
    public @interface SkipWhenEmpty

Attached to a task property to indicate that the task should be skipped when the value of the property is an empty FileCollection or directory.

This annotation can be used with the following annotations:

- InputFiles
- InputDirectory

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Gradle API 1.10